Listado paginado de documentos con filtros
curl --request POST \
--url https://api.raul.ugps.io/api/v1/dte/documents/query \
--header 'Content-Type: application/json' \
--data '
{
"folio": 8694,
"receiver_rut": "96990050-5",
"shipment_order_id": "<string>",
"from_issue_date": "2026-08-01",
"to_issue_date": "2026-08-31",
"has_mp": true,
"search": "<string>",
"page": 1,
"per_page": 10
}
'import requests
url = "https://api.raul.ugps.io/api/v1/dte/documents/query"
payload = {
"folio": 8694,
"receiver_rut": "96990050-5",
"shipment_order_id": "<string>",
"from_issue_date": "2026-08-01",
"to_issue_date": "2026-08-31",
"has_mp": True,
"search": "<string>",
"page": 1,
"per_page": 10
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
folio: 8694,
receiver_rut: '96990050-5',
shipment_order_id: '<string>',
from_issue_date: '2026-08-01',
to_issue_date: '2026-08-31',
has_mp: true,
search: '<string>',
page: 1,
per_page: 10
})
};
fetch('https://api.raul.ugps.io/api/v1/dte/documents/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
DTE
Listado paginado de documentos con filtros
Filtros en el body (snake_case) en vez de query params; la respuesta es camelCase con items, total y lastPage.
POST
/
api
/
v1
/
dte
/
documents
/
query
Listado paginado de documentos con filtros
Body
application/json
Estado local exacto del documento.
Available options:
DRAFT, LOCAL_VALIDATED, ODOO_DRAFT_CREATED, ODOO_POSTED, ODOO_ERROR, SII_PENDING, SII_UPLOAD_UNCERTAIN, SII_ACCEPTED, SII_REJECTED Dimensión SII. Filtra por el estado de la fila, no por el DTE canónico de la factura.
Available options:
not_emitted, pending, uncertain, accepted, rejected Tipo de documento tributario.
Available options:
FACTURA_33, FACTURA_EXENTA_34, BOLETA_39, BOLETA_EXENTA_41, GUIA_DESPACHO_52, NOTA_DEBITO_56, NOTA_CREDITO_61 Folio exacto.
Example:
8694
RUT del receptor.
Maximum string length:
20Example:
"96990050-5"
Orden de envío que originó el documento.
Fecha de emisión desde (inclusive), formato YYYY-MM-DD.
Example:
"2026-08-01"
Fecha de emisión hasta (inclusive), formato YYYY-MM-DD.
Example:
"2026-08-31"
Estado de pago exacto del documento.
Available options:
NOT_PAID, PARTIALLY_PAID, PAID, REFUNDED, CANCELLED true = solo documentos con preferencia MercadoPago; false = sin ella.
Texto libre sobre el nombre del receptor (y folio si el texto es numérico).
Maximum string length:
200Página (base 1).
Documentos por página.
Required range:
x <= 250Response
200